﻿Type=Service
Version=2.71
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: False
#End Region

Sub Process_Globals
	Dim ActivityRecognitionClient1 As ActivityRecognitionClient
	Dim GooglePlayServicesHelper1 As GooglePlayServicesHelper
	Dim NotificationId As Int=1
	Dim PendingIntent1 As PendingIntent

End Sub

Sub Service_Create

	ActivityRecognitionClient1.Initialize("ActivityRecognitionClient1")
	
	Dim Notification1 As Notification
	Notification1.Initialize
	Notification1.AutoCancel=False
	Notification1.Icon="icon"	'	uses the application icon
	Notification1.Light=False
	Notification1.OnGoingEvent=True
	Notification1.SetInfo("LocationAPI demo", "LocationManager is running", Main)
	Notification1.Sound=False
	Notification1.Vibrate=False
	
	Service.StartForeground(NotificationId, Notification1)
	
End Sub

Sub Service_Start (StartingIntent As Intent)

	If ActivityRecognitionClient1.IsConnected Then
		CallSub2(Main, "UpdateStatus", "Waiting for activity updates")
	Else
		Dim ServiceStatus As Int=GooglePlayServicesHelper1.IsGooglePlayServicesAvailable
		Select ServiceStatus
			Case GooglePlayServicesHelper1.SUCCESS
				Log("GooglePlayServicesHelper IsGooglePlayServicesAvailable service available")
				Main.LastStatusMessage="ActivityRecognitionClient1 connecting"
				CallSub(Main, "UpdateStatus")
				ActivityRecognitionClient1.Connect
			Case Else
				Log("GooglePlayServicesHelper IsGooglePlayServicesAvailable returned: "&ServiceStatus)
				Main.LastStatusMessage="Google Play Services unavailable"
				CallSub(Main, "UpdateStatus")
				StopService("")
		End Select
	End If
	
End Sub

Sub Service_Destroy
	
	If PendingIntent1.IsInitialized Then
		ActivityRecognitionClient1.RemoveActivityUpdates(PendingIntent1)
	End If
	
	If ActivityRecognitionClient1.IsConnected Then 
		ActivityRecognitionClient1.Disconnect
	End If
	
End Sub

Sub ActivityRecognitionClient1_Connected
	Log("ActivityRecognitionClient1_Connected")
	
	Dim Intent1 As Intent
	Intent1.Initialize("", "")
	Intent1.SetComponent("uk.co.martinpearman.b4a.locationapidemo/.intenthandler")
	
	
	PendingIntent1.InitializeService(0, Intent1, PendingIntent1.FLAG_UPDATE_CURRENT)

	ActivityRecognitionClient1.RequestActivityUpdates(1000, PendingIntent1)
	
	Main.LastStatusMessage="Waiting for activity updates"
	CallSub(Main, "UpdateStatus")
	
End Sub

Sub ActivityRecognitionClient1_ConnectionFailed(ErrorCode As Int)
	Log("ActivityRecognitionClient1_ConnectionFailed ErrorCode="&ErrorCode)
	Main.LastStatusMessage="LocationClient failed to connect"
	CallSub(Main, "UpdateStatus")
	StopService("")
End Sub

Sub ActivityRecognitionClient1_Disconnected
	Log("ActivityRecognitionClient1_Disconnected")
	Main.LastStatusMessage="LocationClient disconnected"
	CallSub(Main, "UpdateStatus")
	StopService("")
End Sub

